Bug 11040 - Add option to print regular slip to CircAutoPrintQuickSlip
Summary: Add option to print regular slip to CircAutoPrintQuickSlip
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Peggy Thrasher
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-11 15:25 UTC by Peggy Thrasher
Modified: 2015-06-04 23:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Test Plan for 11040 (1.58 KB, text/plain)
2013-11-08 00:11 UTC, Peggy Thrasher
Details
Bug 11040 Add option to print regular slip to CircAutoPrintQuickSlip (6.21 KB, patch)
2013-11-08 00:15 UTC, Peggy Thrasher
Details | Diff | Splinter Review
Bug 11040 Add option to print regular slip to CircAutoPrintQuickSlip (7.81 KB, patch)
2013-11-10 22:55 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11040 Add option to print regular slip to CircAutoPrintQuickSlip (7.90 KB, patch)
2013-11-15 16:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Peggy Thrasher 2013-10-11 15:25:17 UTC
Currently the CircAutoPrintQuickSlip has two options:

When an empty barcode field is submitted in circulation
either
open a print quick slip window
OR
clear the screen.

Can a third option be added to open a regular slip window?  Our patrons want to see it all, and we'd love to make it easier to print.
Comment 1 Peggy Thrasher 2013-11-08 00:11:24 UTC
Created attachment 22797 [details]
Test Plan for 11040
Comment 2 Peggy Thrasher 2013-11-08 00:15:04 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2013-11-10 22:55:37 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-11-15 16:10:28 UTC
QA comment:

The patch works as described. The only thing I can say is that
  [% IF !( CircAutoPrintQuickSlip == 'clear' ) %]
could be replaced by
  [% UNLESS CircAutoPrintQuickSlip == 'clear' %]
which I find more readable.

Peggy, I will submit my qa patch replacing your name and your email. I think it is a wrong git configuration. See your .gitconfig and the wiki page: http://wiki.koha-community.org/wiki/Version_Control_Using_Git#Getting_Started_with_Git

Cry aloud if I am wrong and it was wanted!

Marked as Passed QA.
Comment 5 Jonathan Druart 2013-11-15 16:11:17 UTC
Created attachment 22964 [details] [review]
Bug 11040 Add option to print regular slip to CircAutoPrintQuickSlip

Test plan:
1.  Set the System Preference for CircAutoPrintQuickSlip to "clear the screen".
    Enter a borrower barcode for checkout
    Press Enter
    The screen should be cleared.

2.  Set the System Preference for CircCircAutoPrintQuickSlip to "open a quick slip window"
    Enter a borrower barcode for checkout
    Press Enter
    A Quick slip is printed.

3.  Apply the patch
    Update the database using UpdateDatabase.pl

4.  Set the System Preference for CircAutoPrintQuickSlip to "clear the screen".
    Enter a borrower barcode for checkout
    Press Enter
    The screen should be cleared.

5.  Set the System Preference for CircCircAutoPrintQuickSlip to "open a quick slip window"
    Enter a borrower barcode for checkout
    Press Enter
    A Quick slip is printed.

6.  Set the System Preference for CircCircAutoPrintQuickSlip to "open a slip window"
    Enter a borrower barcode for checkout
    Press Enter
    A Slip is printed.

7.  Reload the database using sysprefs.sql
    Set the System Preference for CircAutoPrintQuickSlip to "clear the screen".
    Enter a borrower barcode for checkout
    Press Enter
    The screen should be cleared.

8.  Set the System Preference for CircCircAutoPrintQuickSlip to "open a quick slip window"
    Enter a borrower barcode for checkout
    Press Enter
    A Quick slip is printed.

9.  Set the System Preference for CircCircAutoPrintQuickSlip to "open a slip window"
    Enter a borrower barcode for checkout
    Press Enter
    A Slip is printed.

10.  Verify that the Checkout Help includes information about printing Slips.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Galen Charlton 2013-11-24 18:55:35 UTC
Pushed to master.  Thanks, Peggy!

This appears to be your first path accepted into Koha.  Congratulations!
Comment 7 Fridolin SOMERS 2013-12-13 11:21:42 UTC
This patch has been pushed to 3.14.x, will be in 3.14.1.
(creates DBRev 3.14.00.001)